# Copyright (c) 2012, 2014  Dave Love
# Copyright (c) 2015 James Hunt
# MIT licence, per Fedora policy

Name:           procenv
Version:        0.44
Release:        1%{?dist}
Summary:        Utility to show process environment

Group:          Applications/System
License:        GPLv3+
URL:            https://github.com/jamesodhunt/procenv
Source0:        https://github.com/jamesodhunt/procenv/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  expat, libcap-devel, libselinux-devel, check-devel
# Only used for testing; not in EPEL.
%if 0%{?fedora}
BuildRequires:  perl-JSON-PP
%endif
%ifnarch %{arm} s390 s390x
BuildRequires:  numactl-devel
%endif

%description
This package contains a command-line tool that displays as much
detail about itself and its environment as possible. It can be
used as a test tool, to understand the type of environment a
process runs in, and for comparing system environments.

%prep
%setup -q
# remove symlink
mv README.rst README

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
%if 0%{?fedora}
make check
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%{!?_licensedir:%global license %%doc}
%files
%{_bindir}/procenv
%{_mandir}/man1/procenv.1*
%doc README NEWS AUTHORS ChangeLog TODO
%license COPYING

%changelog
* Wed Feb 17 2016 Dave Love <loveshack@fedoraproject.org> - 0.44-1
- New version

* Thu Nov  5 2015 James Hunt <jamesodhunt@gmail.com> - 0.42-1
- Simplified BuildRequires now that autoreconf is no longer needed.

* Thu Oct 29 2015 James Hunt <jamesodhunt@gmail.com> - 0.41-1
- New upstream version.
- BuildRequires: Added check-devel for new unit tests.
- This upstream version lacks a configure script, so added autoconf,
  automake and libtool to BuildRequires, plus a call to autoreconf.
- Updated URL+Source0 as project has moved to github.
- Source0 includes magic URL fragment to rename the source to be of form
  "<name>-<version>.tar.gz", rather than the bare "<tag>.tar.gz" github format.
- Add ChangeLog and TODO to package.

* Thu Oct 15 2015 Dave Love <loveshack@fedoraproject.org> - 0.40-1
- New version
- Remove %%defattr
- Use %%license
- MIT licence for packaging

* Thu Aug 28 2014 Dave Love <d.love@liverpool.ac.uk> - 0.36-1
- New upstream version

* Sat Jun 21 2014 Dave Love <d.love@liverpool.ac.uk> - 0.35-3
- BR on libselinux-devel for EPEL5
- Add doc files

* Thu Jun  5 2014 Dave Love <d.love@liverpool.ac.uk> - 0.35-2
- Only BR perl-JSON-PP and run tests on fedora
- Remove unnecessary BRs

* Fri Jan 31 2014 James Hunt <james.hunt@ubuntu.com> - 0.32-1
- Update to 0.31.

* Thu Jan 23 2014 James Hunt <james.hunt@ubuntu.com> - 0.30-1
- Update to 0.30.

* Fri Nov 15 2013 Dave Love <d.love@liverpool.ac.uk> - 0.27-1
- Update to 0.27, fix Source0

* Sun Dec  9 2012 Dave Love <fx@gnu.org> - 0.18-1
- Update to 0.18

* Tue Dec  4 2012 Dave Love <fx@gnu.org> - 0.16-2
- Re-fix locale-reporting.

* Mon Dec  3 2012 Dave Love <fx@gnu.org> - 0.16-1
- Update to 0.16

* Thu Nov 22 2012 Dave Love <fx@gnu.org> - 0.12-1
- Initial packaging
